Subject: [BEHAVE] Some questions regarding RFC5766(TURN) authentication

From: chen wilson <[email-masked]>
Date: Wed, 31 Oct 2012 15:06:49 +0800

RFC5389(STUN) section 10 provides 2 ways to do authentication and
integrity check while RFC 5766 only supports long-term credential.
My question is how to integrate the long-term credential with SSO,
for example, SAML mechanism?

2 typical user cases in my mind are:
1. Deploy TURN in enterprise just like HTTP proxy, in such a case,
it would be better to authenticate with enterprise Active Directory;
2. Deploy TURN as a cloud service, the service providers would
always have their own unified authentication server.
Are these 2 user cases typical for TURN?

Thanks,
Wilson Chen